<div class="row">
    <div class="col-sm-8">

        <div class="consistent-box">
            <h4 class="mb-4">
                <i class="fa-solid fa-sliders-up"></i>
                <?php _e( 'Advanced Settings', 'myagileprivacy' ); ?>
            </h4>

            <!-- widget position -->
            <div class="row mb-4">
                <label for="default_locale_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Language', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">

                    <select id="default_locale_field" name="default_locale_field" class="form-control">
                        <?php

                        $valid_options = array(
                            /*
                            'default_wordpress_locale'	=>	array(  'label' => __( 'Default Wordpress Locale', 'myagileprivacy' ),
                                                                    'selected' => false ),
                            */
                            'en_US'						=>	array(  'label' => __( 'English', 'myagileprivacy' ),
                                                                    'selected' => false ),
                            'it_IT'						=>	array(  'label' => __( 'Italian', 'myagileprivacy' ),
                                                                    'selected' => false ),
                            'fr_FR'						=>	array(  'label' => __( 'French', 'myagileprivacy' ),
                                                                    'selected' => false ),
                            'de_DE'						=>	array(  'label' => __( 'German', 'myagileprivacy' ),
                                                                    'selected' => false ),
                            'es_ES'						=>	array(  'label' => __( 'Spanish', 'myagileprivacy' ),
                                                                    'selected' => false ),
                        );

                        $selected_value = $the_options['default_locale'];

                        if( isset( $valid_options[ $selected_value ] ) )
                        {
                            $valid_options[ $selected_value ]['selected'] = true;
                        }

                        foreach( $valid_options as $key => $data )
                        {
                            if( $data['selected'] )
                            {
                                ?>
                                <option value="<?php echo esc_attr($key)?>" selected><?php echo esc_attr($data['label'])?></option>
                                <?php
                            }
                            else
                            {
                                ?>
                                <option value="<?php echo esc_attr($key)?>"><?php echo esc_attr($data['label'])?></option>
                                <?php
                            }
                        }

                        ?>
                    </select>

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- wrapping css checkbox -->
            <div class="row mb-4">
                <label for="wrap_shortcodes_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Wrap shortcode for css customization', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">

                            <input type="hidden" name="wrap_shortcodes_field" value="false" id="wrap_shortcodes_field_no">

                            <input name="wrap_shortcodes_field" type="checkbox" value="true" id="wrap_shortcodes_field" <?php checked($the_options['wrap_shortcodes'], true); ?>>

                            <label for="wrap_shortcodes_field" class="me-2 label-checkbox"></label>

                            <label for="wrap_shortcodes_field">
                                <?php echo esc_html__( 'Enable wrapping', 'myagileprivacy' ); ?>
                            </label>
                        </div>
                    </div> <!-- ./ styled_radio -->

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- wrapping css textarea -->
            <div class="row mb-4">
                <label for="custom_css_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Custom Css', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <?php
                        echo '<textarea id="custom_css_field" name="custom_css_field" class="text_style form-control" rows="9">';
                        echo apply_filters( 'format_to_edit', esc_attr($the_options['custom_css'])) . '</textarea>';
                    ?>

                    <div class="form-text">
                        <?php _e( 'Enter your custom css', 'myagileprivacy' ); ?>
                    </div>
                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- jquery loading checkbox -->
            <div class="row mb-4">
                <label for="client_force_reinject_jquery_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Force jQuery reinject', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">

                            <input type="hidden" name="client_force_reinject_jquery_field" value="false" id="client_force_reinject_jquery_field_no">

                            <input name="client_force_reinject_jquery_field" type="checkbox" value="true" id="client_force_reinject_jquery_field" <?php checked($the_options['client_force_reinject_jquery'], true); ?>>

                            <label for="client_force_reinject_jquery_field" class="me-2 label-checkbox"></label>

                            <label for="client_force_reinject_jquery_field">
                                <?php _e( 'Force jQuery reinject', 'myagileprivacy' ); ?>
                            </label>
                        </div>
                    </div> <!-- ./ styled_radio -->

                    <div class="form-text">
                        <?php echo esc_html__( 'Enable this if you have a custom theme with deactivated jQuery, and loading issues.', 'myagileprivacy' ); ?>
                    </div>

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- force sync checkbox -->
            <div class="row mb-4">
                <label for="force_sync" class="col-sm-5 col-form-label">
                    <?php _e( 'Force Cookies and Policy syncronization', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">

                            <input name="force_sync" type="checkbox" value="1" id="force_sync">

                            <label for="force_sync" class="me-2 label-checkbox"></label>

                            <label for="force_sync">
                                <?php _e( 'Force Cookies and Policy syncronization', 'myagileprivacy' ); ?>
                            </label>
                        </div>
                    </div> <!-- ./ styled_radio -->

                    <div class="form-text">
                        <?php echo esc_html__( 'This will sync Cookies And Policy in the next five minute', 'myagileprivacy' ); ?>
                    </div>

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- reset settings checkbox -->
            <div class="row mb-4">
                <label for="reset_settings" class="col-sm-5 col-form-label">
                    <?php _e( 'Reset all settings', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">

                            <input name="reset_settings" type="checkbox" value="1" id="reset_settings">

                            <label for="reset_settings" class="me-2 label-checkbox"></label>

                            <label for="reset_settings">
                                <?php _e( 'Reset all settings', 'myagileprivacy' ); ?>
                            </label>
                        </div>
                    </div> <!-- ./ styled_radio -->

                    <div class="form-text">
                        <?php echo esc_html__( 'Warning: this will reset all the plugin settings.', 'myagileprivacy' ); ?>
                    </div>

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- reset consent checkbox -->
            <div class="row mb-4">
                <label for="reset_consent" class="col-sm-5 col-form-label">
                    <?php _e( 'Reset given consent', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">

                            <input name="reset_consent" type="checkbox" value="1" id="reset_consent">

                            <label for="reset_consent" class="me-2 label-checkbox"></label>

                            <label for="reset_consent">
                                <?php _e( 'Reset given consent', 'myagileprivacy' ); ?>
                            </label>
                        </div>
                    </div> <!-- ./ styled_radio -->

                    <div class="form-text">
                    <?php echo esc_html__( 'Warning: this will reset all the user consent given. Use this only if you change your cookie list and you would like to ask consent again.', 'myagileprivacy' ); ?>
                    </div>

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->


        </div> <!-- consistent-box -->
    </div> <!-- /.col-sm-8 -->

    <div class="col-sm-4">
        <?php
            $tab = 'advanced';
            include 'inc.admin_sidebar.php';
        ?>
    </div>
</div> <!-- /.row -->