<div class="row">
    <div class="col-sm-8">

        <div class="consistent-box">
            <h4 class="mb-4">
                <i class="fa-regular fa-tablet-screen"></i>
                <?php _e( 'Consent Widget', 'myagileprivacy' ); ?>
            </h4>

            <!-- widget position -->
            <div class="row mb-4">
                <label for="notify_position_horizontal_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Tab Position', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <select id="notify_position_horizontal_field" name="notify_position_horizontal_field" class="form-control">
                    <?php

                    $valid_options = array(
                        'right'	=>	array(  'label' => __( 'Right', 'myagileprivacy' ),
                                                                'selected' => false ),
                        'left'	=>	array(  'label' => __( 'Left', 'myagileprivacy' ),
                                                                'selected' => false ),
                    );

                    $selected_value = $the_options['notify_position_horizontal'];

                    if( isset( $valid_options[ $selected_value ] ) )
                    {
                        $valid_options[ $selected_value ]['selected'] = true;
                    }

                    foreach( $valid_options as $key => $data )
                    {
                        if( $data['selected'] )
                        {
                            ?>
                            <option value="<?php echo esc_attr($key)?>" selected><?php echo esc_attr($data['label'])?></option>
                            <?php

                        }
                        else
                        {
                            ?>
                            <option value="<?php echo esc_attr($key)?>"><?php echo esc_attr($data['label'])?></option>
                            <?php
                        }
                    }
                    ?>
                    </select>

                    <div class="form-text">
                        <?php
                            _e( "Select the horizontal position where to show the consent again widget ",'myagileprivacy' );
                        ?>
                    </div>
                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- widget review consent text -->
            <div class="row mb-4">
                <label for="showagain_text" class="col-sm-5 col-form-label">
                    <?php _e( 'Title for show again policy', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <input type="text" class="form-control" id="showagain_text" name="showagain_text_field" value="<?php echo esc_attr( $the_options['showagain_text']) ?>" />

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- widget show cookie policy link -->
            <div class="row mb-4">
                <label for="cookie_policy_link_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Show Cookie Policy link', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">
                            <input type="hidden" name="cookie_policy_link_field" value="false" id="cookie_policy_link_field_no">

                            <input name="cookie_policy_link_field" type="checkbox" value="true" id="cookie_policy_link_field" <?php checked( $the_options['cookie_policy_link'], true); ?>>
                            <label for="cookie_policy_link_field" class="me-2 label-checkbox"></label>

                            <label for="cookie_policy_link_field">
                                <?php _e( 'Show Cookie Policy link', 'myagileprivacy' ); ?>
                            </label>

                        </div>
                    </div> <!-- ./ styled_radio -->
                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- widget review consent show -->
            <div class="row mb-4">
                <label for="showagain_tab_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Enable revisit consent widget', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">

                            <input type="hidden" name="showagain_tab_field" value="false" id="showagain_tab_field_no">

                            <input name="showagain_tab_field" type="checkbox" value="true" id="showagain_tab_field" <?php checked($the_options['showagain_tab'], true); ?>>

                            <label for="showagain_tab_field" class="me-2 label-checkbox"></label>

                             <label for="showagain_tab_field">
                                <?php _e( 'Enable revisit consent widget', 'myagileprivacy' ); ?>
                             </label>
                        </div>
                    </div> <!-- ./ styled_radio -->

                    <div class="form-text">
                        <?php echo esc_html__( 'Warning: if you disable this, add the proper link for consent revisit in the foote area, in order to stay GDPR compliant. You can use the [myagileprivacy_showconsent] shortcode.', 'myagileprivacy' ); ?>
                    </div>

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- widget logo show / hide -->
            <div class="row mb-4">
                <label for="disable_logo_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Disable My Agile Privacy logo', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">

                            <input type="hidden" name="disable_logo_field" value="false" id="disable_logo_field_no">

                            <input name="disable_logo_field" type="checkbox" value="true" id="disable_logo_field" <?php checked($the_options['disable_logo'], true); ?>>

                            <label for="disable_logo_field" class="me-2 label-checkbox"></label>

                            <label for="disable_logo_field">
                                <?php echo esc_html__( 'Disable logo on Cookie Bar', 'myagileprivacy' ); ?>
                            </label>
                        </div>
                    </div> <!-- ./ styled_radio -->

                    <div class="form-text">
                        <?php echo esc_html__( 'Check this option to remove My Agile Privacy logo on the consent review widget', 'myagileprivacy' ); ?>
                    </div>

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

        </div> <!-- consistent-box -->
    </div> <!-- /.col-sm-8 -->

    <div class="col-sm-4">
        <?php
            $tab = null;
            include 'inc.admin_sidebar.php';
        ?>
    </div>
</div> <!-- /.row -->