<div class="row">
    <div class="col-sm-8">

        <div class="consistent-box">
            <h4 class="mb-4">
                <i class="fa-regular fa-cookie-bite"></i>
                <?php _e( 'Cookie Policy', 'myagileprivacy' ); ?>
            </h4>

            <div class="row mb-4">
                <div class="col-sm-12">
                    <?php _e( 'The cookie policy page is the place where you tell user about how cookies works and what are the cookies used by the website.', 'myagileprivacy' ); ?><br>
                    <br>
                    <?php _e( 'The shortcode for the Cookie Policy text is:', 'myagileprivacy' ); ?><br>
                            <code>[myagileprivacy_fixed_text text="cookie_policy"]</code>
                </div>
            </div>

            <!-- cookie policy url or page -->
            <div class="row mb-4">
                <label for="is_cookie_policy_url_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Url or Page ?', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">

                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">
                            <?php if( $the_options['is_cookie_policy_url'] == true ): ?>
                                <input type="radio" id="is_cookie_policy_url_yes" name="is_cookie_policy_url_field" value="true" checked="checked" />
                            <?php else: ?>
                                <input type="radio" id="is_cookie_policy_url_yes" name="is_cookie_policy_url_field" value="true" />
                            <?php endif; ?>

                            <label for="is_cookie_policy_url_yes" class="me-2 label-radio"></label>

                            <label for="is_cookie_policy_url_yes">
                                <?php _e( 'Url', 'myagileprivacy' ); ?>
                            </label>


                        </div>

                        <div class="round d-flex">
                            <?php if( $the_options['is_cookie_policy_url'] == false ): ?>
                                <input type="radio" id="is_cookie_policy_url_no" name="is_cookie_policy_url_field" class="" value="false" checked="checked" />
                            <?php else: ?>
                                <input type="radio" id="is_cookie_policy_url_no" name="is_cookie_policy_url_field" class="" value="false" />
                            <?php endif; ?>

                            <label for="is_cookie_policy_url_no" class="me-2 label-radio"></label>

                            <label for="is_cookie_policy_url_no">
                                <?php _e( 'Page', 'myagileprivacy' ); ?>
                            </label>
                        </div>
                    </div> <!-- ./ styled_radio -->

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- cookie policy url row -->
            <div class="row mb-4 is_cookie_policy_url_yes_detail displayNone">
                <label for="cookie_policy_url_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Enter URL', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <input type="text" class="form-control" id="cookie_policy_url_field" name="cookie_policy_url_field" value="<?php echo esc_attr(stripslashes($the_options['cookie_policy_url'])) ?>" />

                    <div class="form-text">
                        <?php _e( "Insert here the URL to the cookie policy page.", 'myagileprivacy' ); ?><br><br>
                    </div>
                </div> <!-- /.col-sm-6 -->


            </div> <!-- row -->

            <!-- cookie policy select page row -->
            <div class="row mb-4 is_cookie_policy_url_no_detail displayNone">
                <label for="cookie_policy_page_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Choose Page', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">

                    <select name="cookie_policy_page_field" class="form-control" id="cookie_policy_page_field">
                        <option value="0">--<?php _e( 'Select One','myagileprivacy' ); ?>--</option>
                        <?php
                        foreach( $all_pages_for_policies_select as $page )
                        {
                            ?>

                            <?php
                            if( $the_options['cookie_policy_page']==$page->ID ):
                            ?>
                                <option value="<?php echo esc_attr( $page->ID ); ?>" selected> <?php echo esc_html( $page->post_title);?> </option>
                            <?php
                            else:
                            ?>
                                <option value="<?php echo esc_attr( $page->ID ); ?>"> <?php echo esc_html( $page->post_title);?> </option>
                            <?php
                            endif;
                            ?>
                            <?php
                        }
                        ?>
                    </select>

                    <div class="form-text">
                        <?php _e( "Don't forget to associate the right page: we suggest you to create a new page, put the right shortcode in the page editor, and associate the new created page here.", 'myagileprivacy' ); ?>
                    </div>

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

        </div> <!-- consistent-box -->

        <div class="consistent-box">
            <h4 class="mb-5">
                <i class="fa-regular fa-user-secret"></i>
                <?php _e( 'Personal Data Policy', 'myagileprivacy' ); ?>
            </h4>

            <div class="row mb-5">
                <div class="col-sm-12">
                    <?php _e( "The personal data page is the place where you tell user about how do you use personal data, for example for answering back a user form submission.", 'myagileprivacy' ); ?><br>
                    <br>
                    <?php _e( "Please remember also to ask user consent, adjusting your forms, adding the link to the selected page. You have got a shortcode for helping you to insert the right link.", 'myagileprivacy' ); ?><br>
                    <br>
                    <?php _e( "The shortcode for the Personal Data Policy text is:", 'myagileprivacy' ); ?><br>
                    <code>[myagileprivacy_fixed_text text="personal_data_policy"]</code><br>
                    <br>
                    <?php _e( "The shortcode for the Personal Data Policy page URL is:", 'myagileprivacy' ); ?><br>
                                <code>[myagileprivacy_link value="personal_data_policy" text="Personal Data Policy"]</code>
                </div>
            </div>

            <!-- personal data policy url or page -->
            <div class="row mb-4">
                <label for="is_personal_data_policy_url_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Url or Page ?', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">

                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">
                            <?php if( $the_options['is_personal_data_policy_url'] == true ): ?>
                                <input type="radio" id="is_personal_data_policy_url_yes" name="is_personal_data_policy_url_field" value="true" checked="checked" />
                            <?php else: ?>
                                <input type="radio" id="is_personal_data_policy_url_yes" name="is_personal_data_policy_url_field" value="true" />
                            <?php endif; ?>

                            <label for="is_personal_data_policy_url_yes" class="me-2 label-radio"></label>

                            <label for="is_personal_data_policy_url_yes">
                                <?php _e( 'Url', 'myagileprivacy' ); ?>
                            </label>

                        </div>

                        <div class="round d-flex">
                            <?php if( $the_options['is_personal_data_policy_url'] == false ): ?>
                                <input type="radio" id="is_personal_data_policy_url_no" name="is_personal_data_policy_url_field" class="" value="false" checked="checked" />
                            <?php else: ?>
                                <input type="radio" id="is_personal_data_policy_url_no" name="is_personal_data_policy_url_field" class="" value="false" />
                            <?php endif; ?>

                            <label for="is_personal_data_policy_url_no" class="me-2 label-radio"></label>

                            <label for="is_personal_data_policy_url_no">
                                <?php _e( 'Page', 'myagileprivacy' ); ?>
                            </label>
                        </div>
                    </div> <!-- ./ styled_radio -->

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- personal data policy url row -->
            <div class="row mb-4 is_personal_data_policy_url_yes_detail displayNone">
                <label for="personal_data_policy_url_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Enter URL', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <input type="text" class="form-control" id="personal_data_policy_url_field" name="personal_data_policy_url_field" value="<?php echo esc_attr(stripslashes($the_options['personal_data_policy_url'])) ?>" />

                    <div class="form-text">
                        <?php _e( "Insert here the URL to the personal data policy page.", 'myagileprivacy' ); ?><br><br>
                    </div>
                </div> <!-- /.col-sm-6 -->


            </div> <!-- row -->

            <!-- personal data policy select page row -->
            <div class="row mb-4 is_personal_data_policy_url_no_detail displayNone">
                <label for="personal_data_policy_page_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Choose Page', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">

                    <select name="personal_data_policy_page_field" class="form-control" id="personal_data_policy_page_field">
                        <option value="0">--<?php _e( 'Select One','myagileprivacy' ); ?>--</option>

                        <?php
                        foreach( $all_pages_for_policies_select as $page )
                        {
                            ?>

                            <?php
                            if( $the_options['personal_data_policy_page']==$page->ID ):
                            ?>
                                <option value="<?php echo esc_attr( $page->ID ); ?>" selected> <?php echo esc_html( $page->post_title);?> </option>
                            <?php
                            else:
                            ?>
                                <option value="<?php echo esc_attr( $page->ID ); ?>"> <?php echo esc_html( $page->post_title);?> </option>
                            <?php
                            endif;
                            ?>
                            <?php
                        }
                        ?>

                    </select>

                    <div class="form-text">
                    <?php _e( "Don't forget to associate the right page: we suggest you to create a new page, put the right shortcode in the page editor, and associate the new created page here.", 'myagileprivacy' ); ?>
                    </div>

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->


        </div> <!-- consistent-box -->
    </div> <!-- /.col-sm-8 -->

    <div class="col-sm-4">
    <?php
        $tab = 'policies';
        include 'inc.admin_sidebar.php';
    ?>
    </div>
</div> <!-- /.row -->
